// miniprogram/pages/notice.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    time: 15 * 1000,
    showTime: false,
    popupShow: true, // 签名弹窗
    imageList: [],
    buttonName: '开始签署'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let imgUrl = wx.getStorageSync('signImage')
    if(imgUrl) {
        this.data.imageList[0] = imgUrl;
        this.setData({
            imageList: this.data.imageList,
            buttonName: '重新签署'
        });
    } else {
        this.setData({
            buttonName: '开始签署'
        });
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.setData({
      showTime: true
    })
    this.setData({
        popupShow: true
    })
  },
//   倒计时结束
  finished() {
    this.setData({
      showTime: true
    })
    // wx.switchTab({
    //   url: '../indexapp/indexapp'
    // })
  },
   // 预览图片
  previewBigImage(e) {
    let imgs = this.data.imageList;
    let {index} = e.currentTarget.dataset;
    wx.previewImage({
      //当前显示图片
      current: imgs[index],
      //所有图片
      urls: imgs
    })
  },
    // 点击开始签署
    startSign() {
        wx.navigateTo({
        url: '../signName/signName',
      })
    },
    //   点击确认
    confirm() {
        if(this.data.imageList.length) {
            wx.switchTab({
                url: '../indexapp/indexapp'
            })
        } else {
            wx.showToast({
                icon: 'error',
                title: '请签名',
            })
        }
    },
    // 点击遮罩层
    closePopup() {
        this.setData({
            popupShow: false
        })
    },
    // 点击安全生产责任书图片
    clickImage() {
        this.setData({
            popupShow: true
        })
    }
})